Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.palette
Interface IPaletteProvider

All Superinterfaces:
  IProvider

All Known Implementing Classes:
  PaletteService

public interface IPaletteProvider
extends IProvider

Method Summary
`void` `contributeToPalette(IEditorPart editor, java.lang.Object content, PaletteRoot root, java.util.Map predefinedEntries)` Contributes to the palette of the given editor with the given content
`void` `setContributions(IConfigurationElement configElement)` Sets the contributions data using the configuration elements

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Method Detail

### contributeToPalette

    public void contributeToPalette(IEditorPart editor,
                                    java.lang.Object content,
                                    PaletteRoot root,
                                    java.util.Map predefinedEntries)

  Contributes to the palette of the given editor with the given content

  Parameters:
    `editor` - The editor hosting the palette
    `content` - The editor's contents
    `root` - The editor's palette root
    `predefinedEntries` - map of predefined palette entries where the key is the palette entry id and the value is the palette entry

### setContributions

    public void setContributions(IConfigurationElement configElement)

  Sets the contributions data using the configuration elements

  Parameters:
    `configElement` -

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.